Cyan Web API - Version 1


GET api/nodeRoutes

            Gets all NodeRoutes for a tenant.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeRouteId": "18cb1554-b4c6-4820-b43d-09c4cd35213c",
    "tenantId": "a63520b5-308f-48de-9100-76785bafe8f8",
    "userId": "d90072ab-a14b-408e-8f10-b912c9e046d0",
    "userGroupId": "4aa5e174-6074-4811-878e-c21b04633563",
    "deviceId": "98d6ded2-a4b4-41db-9b43-01514278d618",
    "deviceGroupId": "907005a2-5df2-4b4f-aead-eb36f1987538",
    "applicationId": "4943a3e0-dbb9-42d0-a2b7-80ee73ae939d",
    "applicationVersionId": "049ac63c-e470-47ee-bd32-ee2def285bb7",
    "nodeId": "a0e1185a-206a-4eed-85ab-62e4ad4930d8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-06-25T19:44:41.0567533+00:00",
    "updatedDateUtc": "2026-06-25T19:44:41.0567533+00:00"
  },
  {
    "nodeRouteId": "18cb1554-b4c6-4820-b43d-09c4cd35213c",
    "tenantId": "a63520b5-308f-48de-9100-76785bafe8f8",
    "userId": "d90072ab-a14b-408e-8f10-b912c9e046d0",
    "userGroupId": "4aa5e174-6074-4811-878e-c21b04633563",
    "deviceId": "98d6ded2-a4b4-41db-9b43-01514278d618",
    "deviceGroupId": "907005a2-5df2-4b4f-aead-eb36f1987538",
    "applicationId": "4943a3e0-dbb9-42d0-a2b7-80ee73ae939d",
    "applicationVersionId": "049ac63c-e470-47ee-bd32-ee2def285bb7",
    "nodeId": "a0e1185a-206a-4eed-85ab-62e4ad4930d8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-06-25T19:44:41.0567533+00:00",
    "updatedDateUtc": "2026-06-25T19:44:41.0567533+00:00"
  },
  {
    "nodeRouteId": "18cb1554-b4c6-4820-b43d-09c4cd35213c",
    "tenantId": "a63520b5-308f-48de-9100-76785bafe8f8",
    "userId": "d90072ab-a14b-408e-8f10-b912c9e046d0",
    "userGroupId": "4aa5e174-6074-4811-878e-c21b04633563",
    "deviceId": "98d6ded2-a4b4-41db-9b43-01514278d618",
    "deviceGroupId": "907005a2-5df2-4b4f-aead-eb36f1987538",
    "applicationId": "4943a3e0-dbb9-42d0-a2b7-80ee73ae939d",
    "applicationVersionId": "049ac63c-e470-47ee-bd32-ee2def285bb7",
    "nodeId": "a0e1185a-206a-4eed-85ab-62e4ad4930d8",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-06-25T19:44:41.0567533+00:00",
    "updatedDateUtc": "2026-06-25T19:44:41.0567533+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-06-25T19:44:41.0567533+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-06-25T19:44:41.0567533+00:00</UpdatedDateUtc>
    <ApplicationId>4943a3e0-dbb9-42d0-a2b7-80ee73ae939d</ApplicationId>
    <ApplicationVersionId>049ac63c-e470-47ee-bd32-ee2def285bb7</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>907005a2-5df2-4b4f-aead-eb36f1987538</DeviceGroupId>
    <DeviceId>98d6ded2-a4b4-41db-9b43-01514278d618</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>a0e1185a-206a-4eed-85ab-62e4ad4930d8</NodeId>
    <NodeRouteId>18cb1554-b4c6-4820-b43d-09c4cd35213c</NodeRouteId>
    <TenantId>a63520b5-308f-48de-9100-76785bafe8f8</TenantId>
    <UserGroupId>4aa5e174-6074-4811-878e-c21b04633563</UserGroupId>
    <UserId>d90072ab-a14b-408e-8f10-b912c9e046d0</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-06-25T19:44:41.0567533+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-06-25T19:44:41.0567533+00:00</UpdatedDateUtc>
    <ApplicationId>4943a3e0-dbb9-42d0-a2b7-80ee73ae939d</ApplicationId>
    <ApplicationVersionId>049ac63c-e470-47ee-bd32-ee2def285bb7</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>907005a2-5df2-4b4f-aead-eb36f1987538</DeviceGroupId>
    <DeviceId>98d6ded2-a4b4-41db-9b43-01514278d618</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>a0e1185a-206a-4eed-85ab-62e4ad4930d8</NodeId>
    <NodeRouteId>18cb1554-b4c6-4820-b43d-09c4cd35213c</NodeRouteId>
    <TenantId>a63520b5-308f-48de-9100-76785bafe8f8</TenantId>
    <UserGroupId>4aa5e174-6074-4811-878e-c21b04633563</UserGroupId>
    <UserId>d90072ab-a14b-408e-8f10-b912c9e046d0</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-06-25T19:44:41.0567533+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-06-25T19:44:41.0567533+00:00</UpdatedDateUtc>
    <ApplicationId>4943a3e0-dbb9-42d0-a2b7-80ee73ae939d</ApplicationId>
    <ApplicationVersionId>049ac63c-e470-47ee-bd32-ee2def285bb7</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>907005a2-5df2-4b4f-aead-eb36f1987538</DeviceGroupId>
    <DeviceId>98d6ded2-a4b4-41db-9b43-01514278d618</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>a0e1185a-206a-4eed-85ab-62e4ad4930d8</NodeId>
    <NodeRouteId>18cb1554-b4c6-4820-b43d-09c4cd35213c</NodeRouteId>
    <TenantId>a63520b5-308f-48de-9100-76785bafe8f8</TenantId>
    <UserGroupId>4aa5e174-6074-4811-878e-c21b04633563</UserGroupId>
    <UserId>d90072ab-a14b-408e-8f10-b912c9e046d0</UserId>
  </NodeRouteRepresentation>
</ArrayOfNodeRouteRepresentation>